{ lib, pkgs, inputs, ... }: {
  
  imports = [
    ./base.nix

    ./features/tailscale.nix
    ./features/telemetry
  ];
  
  boot.kernelPackages = lib.mkDefault pkgs.linuxPackages_latest;
  services.chrony.enable = true; # needed for backups

  services.openssh.settings.PasswordAuthentication = false;

  system.autoUpgrade = {
    enable = true;
    allowReboot = true;
    rebootWindow = {
      lower = "05:00";
      upper = "07:00";
    };
    flake = inputs.self.outPath;
  };

  environment.systemPackages = with pkgs; [
    curl
    htop
  ];
  
}
